﻿$rg           = "hybrid-ip"
$GWName       = "azure-workload-gateway"
$vpnConnection1  = "vnet2aws-mine"

$localGateway1  = "AWS-Mine"

$lgIP1 = "x.x.x.x"
$ASN1 = "xxxx"
$BGPIP1 = "x.x.x.x"
$PSK1 = "xxxx"
$Protocol="IKEv1"



$ipsecpolicy = New-AzIpsecPolicy   `
    -IkeEncryption AES128 `
	-IkeIntegrity SHA1  `
	-DhGroup DHGroup2 `
	-IpsecEncryption AES128 `
	-IpsecIntegrity SHA1 `
	-PfsGroup PFS2 `
	-SALifeTimeSeconds 3600 
	#-SADataSizeKilobytes 102400000 

$vnetgw = Get-AzVirtualNetworkGateway -Name $GWName  -ResourceGroupName $rg

$lng1 = New-AzLocalNetworkGateway -Name $localGateway1 -ResourceGroupName $rg -Location eastus -GatewayIpAddress $lgIP1 -BgpPeeringAddress $BGPIP1 -Asn $ASN1




$conn1 = New-AzVirtualNetworkGatewayConnection -Name $vpnConnection1 -ResourceGroupName $rg `
    -VirtualNetworkGateway1 $vnetgw -LocalNetworkGateway2 $lng -Location EastUS `
    -ConnectionType  IPsec -IpsecPolicies $ipsecpolicy -SharedKey $PSK1 -EnableBgp $true -ConnectionProtocol $Protocol


#Set-AzVirtualNetworkGatewayConnection -VirtualNetworkGatewayConnection $conn -UsePolicyBasedTrafficSelectors $False